# Symbol

<details>

<summary><a href="..#symbol"><mark style="color:red;"><code>Symbol</code></mark></a></summary>

<mark style="color:red;">`Symbol.fee_coin`</mark>

<mark style="color:red;">`Symbol.amount_precision`</mark> amount (base coin) rounding. Decimal 10 ^ n

<mark style="color:red;">`Symbol.price_precision`</mark> price (counter coin) rounding. Decimal 10 ^ n (usually, n < 0)

<mark style="color:red;">`Symbol.total_counter_min`</mark> minimum value: price \* amount, that can be used to create an order

<mark style="color:red;">`Symbol.total_counter_last_min`</mark> minimum price \* ticker.last, that can be used to create an order

<mark style="color:red;">`Symbol.amount_min`</mark> - minimum amount to create an order

<mark style="color:red;">`Symbol.bid_max_multiplier`</mark> - price protection. Order can not be more than ticker.last \* bid\_max\_multiplier while placing buy order. (todo)

<mark style="color:red;">`Symbol.ask_min_multiplier`</mark> - price protection. Order can not be less than ticker.last \* ask\_min\_multiplier while placing sell order. (todo)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.origami.tech/function/structures/symbol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
